Subject: Re: [PATCH v2 0/4] Enable Rust by default

From: Derrick Stolee <[email-masked]>
Date: Fri, 10 Apr 2026 11:06:00 -0400

On 4/9/2026 6:44 PM, brian m. carlson wrote:
> Our breaking changes document said that we would enable Rust support by
> default in Git 2.53, while still leaving the ability for it to be
> disabled.  Unfortunately, we forgot to do that and my time machine is
> broken right now, so this series sets it up for Git 2.54.
The discussion about how to handle the 2.54.0/2.55.0 release details
seems to have concluded, so I went to review the series more carefully.

If we take Junio's patch instead of this series's patch 1, then patches
2-4 look good.

I had some initial confusion about patch 4's references to Rust being
"optional" and it helps to know that there is a mechanism to _opt out_
of Rust builds. So the real conclusion is that we're moving from an
opt-in system to an opt-out system. This is a nice way to make progress
relatively safely.

Thanks,
-Stolee